import 'dart:async';

import 'package:flutter/services.dart';

class WatsonStt {
  static const MethodChannel _channel =
      const MethodChannel('method_watson_stt');

  static const EventChannel _eventChannel =
  const EventChannel('event_watson_stt');

  static Future<void> startRecognize(String apiKey,String url,String speechModel) async {
     await _channel.invokeMethod('startRecognize',{"apiKey":apiKey,"url":url,"speechModel":speechModel});
  }

  static Stream<dynamic> get speechToTextStream{
    return _eventChannel.receiveBroadcastStream();
  }

}
